Bug 118556 - MTRRs not initialized correctly
Summary: MTRRs not initialized correctly
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 3.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jim Paradis
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-03-17 18:50 UTC by Tymm Twillman
Modified: 2013-08-06 01:04 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-12 01:08:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2004:188 normal SHIPPED_LIVE Important: Updated kernel packages available for Red Hat Enterprise Linux 3 Update 2 2004-05-11 04:00:00 UTC

Description Tymm Twillman 2004-03-17 18:50:59 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1)
Gecko/20030225

Description of problem:
see http://lists.suse.com/archive/suse-amd64/2004-Jan/0210.html

Applying this patch allows MTRR's to be initialized correctly.




Version-Release number of selected component (if applicable):
kernel-2.4.21-9.0.1EL

How reproducible:
Always

Steps to Reproduce:
1. boot off of stock RHEL3 kernel (including latest errata)
    

Actual Results:  -bash-2.05b# cat /proc/mtrr
reg01: base=0xfc000000 (4032MB), size=  64MB: uncachable, count=1


Expected Results:  -bash-2.05b# cat /proc/mtrr
reg00: base=0x00000000 (   0MB), size=8192MB: write-back, count=1
reg01: base=0xfc000000 (4032MB), size=  64MB: uncachable, count=1


Additional info:

Comment 1 Jim Paradis 2004-03-18 16:30:31 UTC
This patch has already been applied for U2.


Comment 2 John Flanagan 2004-05-12 01:08:39 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-188.html



Note You need to log in before you can comment on or make changes to this bug.